Update an Option Value
Updates an Option Value
PATCH
/
api
/
v2
/
platform
/
option_values
/
{id}
Update an Option Value
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
option_value: {name: 'red', presentation: 'Red', public_metadata: {}, private_metadata: {}}
})
};
fetch('http://{defaultHost}/api/v2/platform/option_values/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/option_values/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"option_value": {
"name": "red",
"presentation": "Red",
"public_metadata": {},
"private_metadata": {}
}
}
'{
"data": {
"id": "75",
"type": "option_value",
"attributes": {
"position": 1,
"name": "M",
"presentation": "S",
"created_at": "2022-11-08T19:34:35.140Z",
"updated_at": "2022-11-08T19:34:35.372Z",
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"option_type": {
"data": {
"id": "86",
"type": "option_type"
}
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update an Option Value
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
option_value: {name: 'red', presentation: 'Red', public_metadata: {}, private_metadata: {}}
})
};
fetch('http://{defaultHost}/api/v2/platform/option_values/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/option_values/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"option_value": {
"name": "red",
"presentation": "Red",
"public_metadata": {},
"private_metadata": {}
}
}
'{
"data": {
"id": "75",
"type": "option_value",
"attributes": {
"position": 1,
"name": "M",
"presentation": "S",
"created_at": "2022-11-08T19:34:35.140Z",
"updated_at": "2022-11-08T19:34:35.372Z",
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"option_type": {
"data": {
"id": "86",
"type": "option_type"
}
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}
